commit:     086fcf7efc0a1d9dd26a6beeb9356c0665dfe68c
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  2 13:18:04 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Sep  2 13:18:04 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=086fcf7e

app-vim/ebnf-syntax: EAPI 6 bump.

Package-Manager: portage-2.2.28

 app-vim/ebnf-syntax/ebnf-syntax-1.1-r2.ebuild | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/app-vim/ebnf-syntax/ebnf-syntax-1.1-r2.ebuild 
b/app-vim/ebnf-syntax/ebnf-syntax-1.1-r2.ebuild
new file mode 100644
index 00000000..8dd9868
--- /dev/null
+++ b/app-vim/ebnf-syntax/ebnf-syntax-1.1-r2.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: EBNF (ISO/IEC 14997) file syntax highlighting"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=545";
+LICENSE="vim"
+KEYWORDS="~alpha ~amd64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPTEXT=\
+"This plugin provides syntax highlighting for EBNF (ISO/IEC 14997) files."
+
+src_prepare() {
+       default
+
+       # don't use hi link, bug #101799.
+       sed -i -e 's,hi link,hi def link,' syntax/ebnf.vim || die "sed failed"
+}

Reply via email to